# NFTokenOffer | xrpl
Documentation for xrpl

# Interface NFTokenOffer

#### Hierarchy

- BaseLedgerEntry
- HasPreviousTxnID
  - NFTokenOffer

- Defined in packages/xrpl/src/models/ledger/NFTokenOffer.ts:5

#####
Index

### Properties

Amount
Destination?
Expiration
Flags
LedgerEntryType
NFTokenOfferNode?
Owner
OwnerNode?
PreviousTxnID
PreviousTxnLgrSeq
index

## Properties

### Amount

Amount: Amount

- Defined in packages/xrpl/src/models/ledger/NFTokenOffer.ts:7

### `Optional` Destination

Destination?: string

- Defined in packages/xrpl/src/models/ledger/NFTokenOffer.ts:8

### Expiration

Expiration: number

- Defined in packages/xrpl/src/models/ledger/NFTokenOffer.ts:9

### Flags

Flags: number

- Defined in packages/xrpl/src/models/ledger/NFTokenOffer.ts:10

### LedgerEntryType

LedgerEntryType: "NFTokenOffer"

- Defined in packages/xrpl/src/models/ledger/NFTokenOffer.ts:6

### `Optional` NFTokenOfferNode

NFTokenOfferNode?: string

- Defined in packages/xrpl/src/models/ledger/NFTokenOffer.ts:11

### Owner

Owner: string

- Defined in packages/xrpl/src/models/ledger/NFTokenOffer.ts:12

### `Optional` OwnerNode

OwnerNode?: string

- Defined in packages/xrpl/src/models/ledger/NFTokenOffer.ts:13

### PreviousTxnID

PreviousTxnID: string

The identifying hash of the transaction that most recently modified this object.

Inherited from HasPreviousTxnID.PreviousTxnID

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:10

### PreviousTxnLgrSeq

PreviousTxnLgrSeq: number

The index of the ledger that contains the transaction that most recently modified this object.

Inherited from HasPreviousTxnID.PreviousTxnLgrSeq

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:15

### index

index: string

Inherited from BaseLedgerEntry.index

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:2

Generated using TypeDoc